## org.codehaus.groovy.control
Class SourceExtensionHandler

    java.lang.Object
      org.codehaus.groovy.control.SourceExtensionHandler

    public class SourceExtensionHandler
    extends Object

Looks for source file extensions in META-INF/services/org.codehaus.groovy.source.Extensions

Constructor Summary
Constructor and Description
`SourceExtensionHandler()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static Set<String>` `getRegisteredExtensions(ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceExtensionHandler

    public SourceExtensionHandler()

Method Detail

### getRegisteredExtensions

    public static Set<String> getRegisteredExtensions(ClassLoader loader)

Copyright © 2003-2010 The Codehaus. All rights reserved.